API Reference / Meetings

PUT /meetings/{meeting_id}

Update a specific meeting

Updates a meeting. The author display name stays with the original author.

Path parameters

Name Type Description
meeting_id req string Meeting ID

Request body

  • contact_idstringbson-id

    ID of the contact, to whom the meeting belongs

  • meeting_time_intintegerunix-timestamp

    Time the meeting occurred in UNIX Epoch time (defaults to current time, if left blank)

  • placestring

    The place in which the meeting take place

  • textstring

    Extra details related to the meeting (supports `[b]bold[/b]` and `[i]italic[/i]` formatting)

  • user_ids_to_notifyarray<string>

    A list of user IDs to notify

Responses

200 OK
  • statusintegerint32

    Response code

  • messagestring

    Response message

  • timestampintegerunix-timestamp

    Response time

  • dataobject
    object fields →
    • meetingobject

      Allow you to keep track of meetings held with your contacts. Meetings include information like the place and the meeting result. Meetings support file attachments.

      object fields →
      • idstringbson-id

        ID of the meeting

      • contact_idstringbson-idrequired

        ID of the contact, to whom the meeting belongs

      • textstring

        Extra details related to the meeting (supports `[b]bold[/b]` and `[i]italic[/i]` formatting)

      • meeting_time_intintegerunix-timestamp

        Time the meeting occurred in UNIX Epoch time (defaults to current time, if left blank)

      • placestring

        The place in which the meeting take place

      • authorstring

        Shortened name of the creator of the meeting. Defaults to the logged API user.

      • attachmentsarray<object>

        Files attached to the meeting.

        array item fields →
        • idstringbson-id

          ID of the attachment

        • filenamestringrequired

          Name of the attachment file

        • custom_filenamestring

          Custom name of the attachment file

        • pinnedboolean

          Show if the attachment is pinned to its owner contact

        • pinned_atstring

          Shows pinned at timestamp. Is null if pinned == false

        • sizeintegerint32required

          Size of the attachment file (in bytes)

        • storage_providerstring

          Name of the storage provider (where the attachment file is stored)

          enum: amazon · google_drive · dropbox · evernote

        • urlstring

          External URL of the attachment file

        • url_expires_atstringdate-time

          The time the attachment URL expires

        • thumbnailobject

          An image preview of the attachment file (if one exists)

          object fields →
          • urlstring

            External URL of the attachment's thumbnail

      • created_atstringdate-time

        Creation time of the meeting

      • modified_atstringdate-time

        Last modification time of the meeting

      • indexintegerint32

        Index of the meeting (in the results set)

Standard error responses: 400 · 401 · 403 · 404 · 409 · 500 — shared across the API. See Errors.

Related guides